
%f=inline('sin(x)-x'); df=inline('cos(x)-1'); x0=1;
f=inline('x.^2-2'); df=inline('2*x'); x0=1;
tolstep=10^(-15); maxit=20;
[x,k,step,errflag]=newton2011(x0,tolstep,...
    maxit,f,df);
fprintf('\n \n');